package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerLabelGroupDO;
import com.cool.store.vo.LabelGroupListVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author Fun Li 2023/8/10 13:25
 * @version 1.0
 */
@Mapper
public interface HyPartnerLabelGroupMapper {

    int deleteByPrimaryKey(Long id);

    int insert(HyPartnerLabelGroupDO record);

    int insertSelective(HyPartnerLabelGroupDO record);

    HyPartnerLabelGroupDO selectByPrimaryKey(Long id);

    List<HyPartnerLabelGroupDO> selectSelective(HyPartnerLabelGroupDO record);

    List<LabelGroupListVo> getLabelGroupList(HyPartnerLabelGroupDO record);

    List<LabelGroupListVo> getLabelGroupListOrder(HyPartnerLabelGroupDO record);

    int updateByPrimaryKeySelective(HyPartnerLabelGroupDO record);

    int updateByPrimaryKey(HyPartnerLabelGroupDO record);

}
